/**
 * Copyright (C) 2000 Frdric Laurent
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * @version 0.1, November 11 2000
 * @author <a href="mailto:flr@free.fr">Frederic Laurent</a>
 * @since JDK 1.2
 */

package SwingAdapter;

import javax.swing.JFrame;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import FindGUI.FindGui;

public class DbclickListener extends MouseAdapter {
/**
 * @supplierCardinality 0..1
 * @supplierRole frameSource 
 */
	FindGui frameSource;
	
	public DbclickListener(FindGui frame) {
		super();
		frameSource = frame;
	}
	
	public void mouseClicked(MouseEvent e) {
		if (e.getClickCount() == 2) {
			frameSource.locationSelected(e.getPoint());
		}
     }

}

	
